import Rating from '..';
import React from 'react';
import ReactDOM from 'react-dom';
ReactDOM.render(React.createElement("div", null,
    React.createElement("p", null, " Enabled "),
    React.createElement(Rating, { onChange: val => console.log('change:', val), onHoverChange: val => console.log('hover:', val) }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement("p", null, " Selected "),
    React.createElement(Rating, { defaultValue: 3.5, onChange: val => console.log('change:', val), onHoverChange: val => console.log('hover:', val) }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement("p", null, " Half Selected "),
    React.createElement(Rating, { defaultValue: 3.5, allowHalf: true, onChange: val => console.log('change:', val), onHoverChange: val => console.log('hover:', val) }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement("p", null, " Disabled "),
    React.createElement(Rating, { defaultValue: 2.5, disabled: true, onChange: val => console.log('change:', val), onHoverChange: val => console.log('hover:', val) }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement("p", null, " \u5176\u4ED6\u6837\u5F0F "),
    React.createElement(Rating, { defaultValue: 3.5, shape: "favorite", allowHalf: true, onChange: val => console.log('change:', val), onHoverChange: val => console.log('hover:', val) }),
    React.createElement("br", null),
    React.createElement("br", null),
    React.createElement(Rating, { defaultValue: 3, shape: "number", size: "medium", allowHalf: true, onChange: val => console.log('change:', val), onHoverChange: val => console.log('hover:', val) })), document.getElementById('rating-demo-1'));
